﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace DisplayOrientation
{
    public partial class Form1 : Form
    {
        SystemState displayRotation;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            displayRotation = new SystemState(SystemProperty.DisplayRotation);
            statusBar1.Text = "Display Rotation: " + displayRotation.CurrentValue.ToString();
            displayRotation .Changed += new ChangeEventHandler(displayRotation_Changed);

        }

        void displayRotation_Changed(object sender, ChangeEventArgs args)
        {
            int displayRotationAngle = (int)args.NewValue;
            statusBar1.Text = "Display Rotation: " + displayRotationAngle.ToString();
            if (displayRotationAngle == 0)
                BackColor = Color.White;
            else
                BackColor = Color.Red;

        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            displayRotation.Dispose();
        }
    }
}