﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace RunOnStateChange
{
    public partial class Form1 : Form
    {
        RegistryState state;
        string stateText = "Application state: Value = ";

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            state = new RegistryState("HKEY_LOCAL_MACHINE\\MyAppKey", "MyAppKey");
            statusBar1.Text = stateText + state.CurrentValue.ToString();

        }

        private void checkBoxRunOnStateChange_CheckStateChanged(object sender, EventArgs e)
        {
            if (checkBoxRunOnStateChange.Checked)
            {
                state.ComparisonType = StatusComparisonType.GreaterOrEqual;
                state.ComparisonValue = 10;
                state.EnableApplicationLauncher("MyAppKey");
            }
            else
            {
                state.DisableApplicationLauncher();
            }
        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            if (state != null)
                state.Dispose();
        }
    }
}