﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace UserState
{
    public partial class Form1 : Form
    {
        RegistryState state;
        string stateText = "Application state: Value = ";
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            state = new RegistryState("HKEY_LOCAL_MACHINE\\MyAppKey","MyAppKey");
            state.CurrentValue = 0;
            state.Changed += new ChangeEventHandler(state_Changed);
            statusBar1.Text = stateText + state.CurrentValue.ToString();

        }

         void state_Changed(object sender, ChangeEventArgs args)
         {
             int stateValue = (int)args.NewValue;
             statusBar1.Text = stateText + stateValue.ToString();
         }

         private void button1_Click(object sender, EventArgs e)
         {
            int stateValue = (int)state.CurrentValue ;
            state.CurrentValue = stateValue + 1;
         }

         private void button2_Click(object sender, EventArgs e)
         {
             int stateValue = (int)state.CurrentValue ;
             if(stateValue>0)
                state.CurrentValue = stateValue- 1;
         }

         private void Form1_Closing(object sender, CancelEventArgs e)
         {
             if (state != null)
                 state.Dispose();
         }

       
    }
}